pip install FAILED ./cyberpanel.sh: line 998: virtualenv: command not found — CyberPanel - WebHosting Control Panel for OpenLiteSpeed

pip install FAILED ./cyberpanel.sh: line 998: virtualenv: command not found

Trying to install Cyberpanel for 4th time this week due to numerous issues I experience each time.

I am reinstalling because my site just decided to delete all of its files and folders! Having a terrible time.

This time with clean Centos 7 minimal install and Yum updates Cyberpanel fails to install.

pip install --default-timeout=3600 virtualenv==16.7.9 has failed for 49 times
Wait for 3 seconds and try again...

./cyberpanel.sh: line 168: pip: command not found

pip install --default-timeout=3600 virtualenv==16.7.9 has failed for 50 times
Wait for 3 seconds and try again...

--2021-05-09 17:19:12-- https://raw.githubusercontent.com/usmannasir/cyberpanel/v2.1.1/requirments.txt
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 185.199.108.133, 185.199.109.133, 185.199.110.133, ...
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|185.199.108.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1620 (1.6K) [text/plain]
Saving to: ‘/usr/local/requirments.txt’

100%[======================================================================================================================================>] 1,620 --.-K/s in 0s

2021-05-09 17:19:12 (7.29 MB/s) - ‘/usr/local/requirments.txt’ saved [1620/1620]

./cyberpanel.sh: line 998: virtualenv: command not found
above command failed...
[[email protected] ~]# ^C

Comments

  • Installed pip manually.

    $ sudo yum install python3-pip

    Now setup is stuck in loop.

    Is there a known issue with Cyberpanel setup because I have never come across these issues before ?


    error: command 'gcc' failed with exit status 1
    ----------------------------------------
    ERROR: Failed building wheel for pyxattr
    Running setup.py clean for pyxattr
    Failed to build mysqlclient psutil pygpgme pyxattr
    Installing collected packages: pyxattr, pyudev, pyotp, pygpgme, py3dns, psutil, prettytable, pexpect, pbr, parsedatetime, paramiko, mysqlclient, mock, jsonpatch, Jinja2, IPy, ipaddress, google-auth-oauthlib, google-api-python-client, future, funcsigs, enum34, docutils, docker-pycreds, docker, Django, configobj, ConfigArgParse, cloudflare, boto3, backports.ssl-match-hostname, Babel, asn1crypto, acme
    Running setup.py install for pyxattr ... error
    ERROR: Command errored out with exit status 1:
    command: /usr/local/CyberPanel/bin/python3 -u -c 'import io, os, sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-2fe1pcdj/pyxattr_d2d3a36ceba2401f85e4779f432a1a45/setup.py'"'"'; __file__='"'"'/tmp/pip-install-2fe1pcdj/pyxattr_d2d3a36ceba2401f85e4779f432a1a45/setup.py'"'"';f = getattr(tokenize, '"'"'open'"'"', open)(__file__) if os.path.exists(__file__) else io.StringIO('"'"'from setuptools import setup; setup()'"'"');code = f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /tmp/pip-record-dh0313mv/install-record.txt --single-version-externally-managed --compile --install-headers /usr/local/CyberPanel/include/site/python3.6/pyxattr
    cwd: /tmp/pip-install-2fe1pcdj/pyxattr_d2d3a36ceba2401f85e4779f432a1a45/
    Complete output (12 lines):
    running install
    running build
    running build_ext
    building 'xattr' extension
    creating build
    creating build/temp.linux-x86_64-3.6
    gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -fPIC -D_XATTR_VERSION="0.7.1" -D_XATTR_AUTHOR="Iustin Pop" -D_XATTR_EMAIL="[email protected]" -I/usr/include/python3.6m -c xattr.c -o build/temp.linux-x86_64-3.6/xattr.o -Wall -Werror -Wsign-compare
    xattr.c:25:20: fatal error: Python.h: No such file or directory
    #include <Python.h>
    ^
    compilation terminated.
    error: command 'gcc' failed with exit status 1
    ----------------------------------------
    ERROR: Command errored out with exit status 1: /usr/local/CyberPanel/bin/python3 -u -c 'import io, os, sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-2fe1pcdj/pyxattr_d2d3a36ceba2401f85e4779f432a1a45/setup.py'"'"'; __file__='"'"'/tmp/pip-install-2fe1pcdj/pyxattr_d2d3a36ceba2401f85e4779f432a1a45/setup.py'"'"';f = getattr(tokenize, '"'"'open'"'"', open)(__file__) if os.path.exists(__file__) else io.StringIO('"'"'from setuptools import setup; setup()'"'"');code = f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /tmp/pip-record-dh0313mv/install-record.txt --single-version-externally-managed --compile --install-headers /usr/local/CyberPanel/include/site/python3.6/pyxattr Check the logs for full command output.

    pip install --default-timeout=3600 -r /usr/local/requirments.txt has failed for 24 times
    Wait for 3 seconds and try again...
  • Looks like the files are being modified as my server is trying to download

    [05.09.2021_19-20-26] #########################################################################

    [05.09.2021_19-20-26] Successfully ran: rpm -ivh http://rpms.litespeedtech.com/centos/litespeed-repo-1.2-1.el7.noarch.rpm.

    [05.09.2021_19-20-26] #########################################################################

    Traceback (most recent call last):
    File "install.py", line 2358, in <module>
    main()
    File "install.py", line 2236, in main
    import installCyberPanel
    File "/root/cyberpanel/install/installCyberPanel.py", line 8, in <module>
    import MySQLdb as mariadb
    ModuleNotFoundError: No module named 'MySQLdb'
    Oops, something went wrong...
    [[email protected] ~]#
  • Looks like the servers are down, hope they fix it soon
  • No such issue on my end, who is your provider and other details that you answer during installation.
  • Hi @usmannasir, come this morning I became very desperate so also posted a comment on slack. qtwrk advised to add "--mirror" all worked perfectly fine once I done this, the original mirror was just impossible for me to proceed setup, I have used standard mirror many times before and never experienced this issue, I am just very pleased its now working. Thank you. Best regards
  • Hello guys. Help me pls, my server dont install cyber panel because pip install --default-timeout=3600 virtualenv==16.7.9 has failed for 49 times
    Wait for 3 seconds and try again...

    ./cyberpanel.sh: line 168: pip: command not found

    pip install --default-timeout=3600 virtualenv==16.7.9 has failed for 50 times
    Wait for 3 seconds and try again...


    Help me
  • > @LPackman said:
    > Hi @usmannasir, come this morning I became very desperate so also posted a comment on slack. qtwrk advised to add "--mirror" all worked perfectly fine once I done this, the original mirror was just impossible for me to proceed setup, I have used standard mirror many times before and never experienced this issue, I am just very pleased its now working. Thank you. Best regards

    Help me
  • Hello all

    I also face pip install --default-timeout=3600 virtualenv==16.7.9 has failed for 49 times
    Wait for 3 seconds and try again...

    How can I fix this problem
  • I also have this problem. Is anyone looking into this? The person before me posted 3 days ago, and I just reinstalled OS
  • It appears the problem is on Centos 7 only. I don't like to install a different system than I wanted, but I had to install Ubuntu.
  • Hello friends!
    I faced the same problem when installing cyberpanel on centos7.
    The problem is solved by installing python3-devel.
    yum install python3-devel
  • The problem comes from this:

    Retrieving https://cyberpanel.sh/repo.ius.io/ius-release-el7.rpm
    curl: (22) The requested URL returned error: 520 Origin Server Unavailable
    error: skipping https://cyberpanel.sh/repo.ius.io/ius-release-el7.rpm - transfer failed

    Other bugs include:
    No package python36u available.
    No package python36u-pip available.
    No package python36u-devel available.

    You should also run this command before install:
    yum install -y https://repo.ius.io/ius-release-el7.rpm https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm

    Meh...
Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!